# MaterialSlot(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``MaterialSlot`(bpy_struct)

  Material slot in an object

  `link`

    Link material to object or the object’s data

    Type: | enum in [‘OBJECT’, ‘DATA’], default ‘DATA’

  `material`

    Material data-block used by this material slot

    Type: | `Material`

  `name`

    Material slot name

    Type: | string, default “”, (readonly, never None)

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`bpy.context.material_slot` | `Object.material_slots`